summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'games-util/gslist/gslist-0.8.11a.ebuild')
-rw-r--r--games-util/gslist/gslist-0.8.11a.ebuild36
1 files changed, 36 insertions, 0 deletions
diff --git a/games-util/gslist/gslist-0.8.11a.ebuild b/games-util/gslist/gslist-0.8.11a.ebuild
new file mode 100644
index 00000000000..ce27b8f8168
--- /dev/null
+++ b/games-util/gslist/gslist-0.8.11a.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils games
+
+DESCRIPTION="A GameSpy server browser"
+HOMEPAGE="http://aluigi.altervista.org/papers.htm#gslist"
+SRC_URI="mirror://gentoo/${P}.zip"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ~hppa x86"
+IUSE="web"
+
+RDEPEND="dev-libs/geoip"
+DEPEND="${RDEPEND}
+ app-arch/unzip"
+
+S=${WORKDIR}
+
+src_prepare() {
+ rm -f gslist gslistsql *.exe *.dll || die
+ epatch "${FILESDIR}"/${P}-build.patch
+}
+
+src_compile() {
+ emake SQL=0 $(use web || echo GSWEB=0)
+}
+
+src_install() {
+ dogamesbin ${PN}
+ dodoc ${PN}.txt
+ prepgamesdirs
+}